"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
function ParseArguments() {
    commander_1.default.option('info', 'Show package.json info');
    commander_1.default.option('install', 'Add package and install it');
    commander_1.default.option('-p, --path <path>', 'Path to package.json', '.');
    commander_1.default.version('1.0.4', '-v , --version');
    commander_1.default.name('package-cli');
    commander_1.default.usage('<command>');
    if (process.argv.length === 2) {
        commander_1.default.help();
    }
    const parsed = commander_1.default.parse(process.argv);
    const optionsTyped = parsed.opts();
    if (!optionsTyped.info && !optionsTyped.install) {
        commander_1.default.help();
    }
    if (parsed.args.length > 0) {
        commander_1.default.usage(`can't recognize command ${parsed.args.join(' ')}`);
        commander_1.default.help();
    }
    return parsed.opts();
}
exports.default = ParseArguments;
